services:
  kami_frontend:
    build:
      context: ../.
      dockerfile: ./deploy/Dockerfile
      args:
        - USE_PROXY=$USE_PROXY
    environment:
      - NGINX_CONFIG_URL=$NGINX_CONFIG_URL
    container_name: $CONTAINER
    image: kami_frontend:$VERSION
    restart: always
    ports:
      - 127.0.0.1:$PORT:12400
    networks:
      1panel-network:
        aliases:
          - $ALIASES
    labels:
      createdBy: Developer

networks:
  1panel-network:
    external: true
